/* AdminMail.p 
 * Admins mail pulled from the Admin account to the subscription list
 */

DEF VAR RCSVersion AS CHARACTER INIT "$Header$" NO-UNDO.

DEF VAR lConfFileName      AS CHARACTER NO-UNDO.
DEF VAR lAdminAccount      AS CHARACTER NO-UNDO.
DEF VAR lAdminPassword     AS CHARACTER NO-UNDO.
DEF VAR lAdminServer       AS CHARACTER NO-UNDO.
DEF VAR lDeleteServerMail  AS CHARACTER NO-UNDO.

/* Pick up where the configuration file is at */

ASSIGN lConfFileName = OS-GETENV("CONFFILE").

/* Determine the account that acts as the Admin */

RUN conf/inird.p (INPUT lConfFileName,
                  INPUT "Mail",
                  INPUT "AdminAccount",
                  OUTPUT lAdminAccount).

/* Pull in the password for that account */

RUN conf/inird.p (INPUT lConfFileName,
                  INPUT "Mail",
                  INPUT "AdminPassword",
                  OUTPUT lAdminPassword).

/* Where is the account at */

RUN conf/inird.p (INPUT lConfFileName,
                  INPUT "Mail",
                  INPUT "AdminServer",
                  OUTPUT lAdminServer).

/* Do we delete the mail after pulling it? */

RUN conf/inird.p (INPUT lConfFileName,
                  INPUT "Mail",
                  INPUT "DeleteServerMail",
                  OUTPUT lDeleteServerMail).

/* Pull in the mail */

RUN PullMail.p (INPUT lAdminAccount,
                INPUT lAdminPassword,
                INPUT lAdminServer,
                INPUT lDeleteServerMail).



