/* RelayMail.p
 *
 * Start the relaying process
 */

DEF VAR RCSVersion AS CHARACTER INIT "$Header: /home/appl/ezine/src/RCS/Relay.p,v 1.2 2001/10/01 17:30:20 sauge Exp $" NO-UNDO.

DEF VAR lConfFileName    AS CHARACTER NO-UNDO.

DEF VAR lPauseAmount     AS INTEGER NO-UNDO.

/* Pick up where the configuration file is at */

ASSIGN lConfFileName = OS-GETENV("CONFFILE").

/* Determine the Pause Amount */

RUN conf/inird.p (INPUT lConfFileName,
                  INPUT "Mail",
                  INPUT "RelayPause",
                  OUTPUT lPauseAmount).


/* Begin a repeating process */

REPEAT:

  /* Pull in the admin mail and apply instructions to the subscription list */

  RUN AdminMail.p.

  /* Pull in the relay mail and massage for the bat_SendMessage.p program */

  RUN RelayMail.p. 

  /* Pause for the configured time */

  PAUSE lPauseAmount.

  /* Repeat the loop */

END. /* REPEAT */
